import { Module } from '@nestjs/common';
import { RankService } from './rank.service';
import { RankController } from './rank.controller';
import { SequelizeModule } from '@nestjs/sequelize';
import { Rank } from './rank.model';

@Module({
  imports: [SequelizeModule.forFeature([Rank])],
  providers: [RankService],
  controllers: [RankController],
})
export class RankModule {}
